rte_eth_fdir_flex_conf(3)

NAME
rte_eth_fdir_flex_conf

SYNOPSIS

#include <rte_eth_ctrl.h>

  Data Fields

uint16_t nb_payloads
uint16_t nb_flexmasks
struct rte_eth_flex_payload_cfg flex_set [RTE_ETH_PAYLOAD_MAX]
struct rte_eth_fdir_flex_mask flex_mask [RTE_ETH_FLOW_MAX]

Detailed Description

A structure used to define all flexible payload related setting include flex payload and flex mask

Definition at line 409 of file rte_eth_ctrl.h.

Field Documentation

  uint16_t nb_payloads
The number of following payload cfg

Definition at line 410 of file rte_eth_ctrl.h.

  uint16_t nb_flexmasks
The number of following mask

Definition at line 411 of file rte_eth_ctrl.h.

  struct rte_eth_flex_payload_cfg flex_set[RTE_ETH_PAYLOAD_MAX]
Flex payload configuration for each payload type

Definition at line 412 of file rte_eth_ctrl.h.

  struct rte_eth_fdir_flex_mask flex_mask[RTE_ETH_FLOW_MAX]
Flex mask configuration for each flow type

Definition at line 414 of file rte_eth_ctrl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.